/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.service;

import com.ubuntuone.android.music.model.PlayerState;

import android.net.Uri;
import android.os.IInterface;

public abstract interface MusicServiceCallback extends IInterface
{
	public abstract void onSongChanged(Uri song);
	
	public abstract void onPlayerStateChanged(PlayerState state);
	
	public abstract void onSongDownload(Uri song, int percent);
	
	public abstract void onSongProgress(Uri song, int percent);
}
