package com.ubuntuone.android.music.util;

public class NotAuthenticatedException extends Throwable {
	private static final long serialVersionUID = 1L;

	private static final String DEFAULT_MESSAGE = "Not authenticated";

	public NotAuthenticatedException() {
		super(DEFAULT_MESSAGE);
	}

	public NotAuthenticatedException(String detailMessage, Throwable throwable) {
		super(detailMessage == null ? DEFAULT_MESSAGE : detailMessage,
				throwable);
	}

	public NotAuthenticatedException(String detailMessage) {
		super(detailMessage);
	}

	public NotAuthenticatedException(Throwable throwable) {
		super(DEFAULT_MESSAGE, throwable);
	}
}
