package com.ubuntuone.android.test;

import android.app.ActionBar;
import android.app.Instrumentation;
import android.view.KeyEvent;

public final class UIUtils
{
	public static void sleep(int millis) {
		try {
			Thread.sleep(millis);
		} catch (InterruptedException e) {
			// Ignore. If we are interrupted, no long click will be generated,
			// which in turn will cause the test to fail anyway.
		}
	}
	
	public static void longClickDpadCenter(Instrumentation instrumentation) {
		instrumentation.sendKeySync(new KeyEvent(
	    		KeyEvent.ACTION_DOWN, KeyEvent.KEYCODE_DPAD_CENTER));
		sleep(1500);//ViewConfiguration.getLongPressTimeout());
	    instrumentation.sendKeySync(new KeyEvent(
	    		KeyEvent.ACTION_UP, KeyEvent.KEYCODE_DPAD_CENTER));
	    sleep(250);
	    
	    instrumentation.waitForIdleSync();
	}
	
	public static void openTab(ActionBar actionBar, int index) {
		actionBar.selectTab(actionBar.getTabAt(index));
	}
}
