/*
 * Ubuntu One Music - stream music from Ubuntu One cloud storage.
 * 
 * Copyright 2012 Canonical Ltd.
 * 
 * This file is part of Ubuntu One Music app.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses 
 */

package com.ubuntuone.android.music.util;

import java.util.ArrayList;
import java.util.Iterator;

public final class StringUtils
{
	public static String join(ArrayList<String> list, String separator) {
		final StringBuilder s = new StringBuilder();
		s.append(list.get(0));
		Iterator<String> it = list.iterator();
		it.next();
		while (it.hasNext()) {
			s.append(separator).append(it.next());
		}
		return s.toString();
	}
}
