package com.ubuntuone.android.music.provider;

import android.database.sqlite.SQLiteDatabase;
import android.test.ProviderTestCase2;
import android.test.mock.MockContentResolver;

public abstract class MusicProviderTestBase extends
		ProviderTestCase2<MusicProvider> {
	
	MockContentResolver mockResolver;
	
	SQLiteDatabase db;

	public MusicProviderTestBase(Class<MusicProvider> providerClass,
			String providerAuthority) {
		super(providerClass, providerAuthority);
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		mockResolver = getMockContentResolver();
		db = getProvider().getOpenHelperForTest().getWritableDatabase();
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
		db.close();
	}
}
